Subject: Re: [PATCH 4/4] CodingGuidelines: recommend singular they

From: Felipe Contreras <[email-masked]>
Date: Fri, 11 Jun 2021 11:11:41 -0500

brian m. carlson wrote:
> Similarly, singular "they" is extremely common in informal written
> English (e.g., texts and tweets) and nearly ubiquitous in spoken
> English, where people use it routinely without thinking[0].

Singular "they" with semantic plural antecedents, yes, singular "they"
with semantic singular antecedents, no.

That's like saying we should all eat mushrooms because they have many
beneficial properties, which is true...

but not *all* mushrooms.

-- 
Felipe Contreras